%global pypi_name python-snappy

Name:           python-snappy
Version:        0.5
Release:        9%{?dist}
Summary:        Python library for the snappy compression library from Google
# License not provided.
# See: https://github.com/andrix/python-snappy/issues/31
License:        BSD
URL:            https://pypi.python.org/pypi/%{pypi_name}
Source0:        https://pypi.python.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires:  python2-devel
BuildRequires:  snappy-devel
Requires:       snappy
Provides:       python2-snappy = %{version}-%{release}

%description
Python bindings for the snappy compression library from Google.


%package -n     python2-snappy
Summary:        Python library for the snappy compression library from Google
Requires:       snappy
# Don't use %%pypi_name here to avoid a python-python-snappy provide
%{?python_provide:%python_provide python2-snappy}

%description -n python2-snappy
Python bindings for the snappy compression library from Google.


%package -n     python3-snappy
Summary:        Python library for the snappy compression library from Google
BuildRequires:  python3-devel
BuildRequires:  snappy-devel
Requires:       snappy
# Don't use %%pypi_name here to avoid a python-python-snappy provide
%{?python_provide:%python_provide python3-snappy}

%description -n python3-snappy
Python bindings for the snappy compression library from Google.


%prep
%setup -qn %{pypi_name}-%{version}


%build
%py3_build
%py2_build


%install
%py3_install
%py2_install

# Fix permission
chmod 755 %{buildroot}%{python2_sitearch}/*snappy*.so
chmod 755 %{buildroot}%{python3_sitearch}/*snappy*.so

# Remove shebang
sed -i '1{\@^#!/usr/bin/env python@d}' %{buildroot}%{python3_sitearch}/snappy.py
sed -i '1{\@^#!/usr/bin/env python@d}' %{buildroot}%{python2_sitearch}/snappy.py


%files -n python2-snappy
%doc README.rst AUTHORS
%{python2_sitearch}/python_snappy-%{version}-py%{python2_version}.egg-info
%{python2_sitearch}/snappy.py*
%{python2_sitearch}/_snappy*.so

%files -n python3-snappy
%doc README.rst AUTHORS
%{python3_sitearch}/python_snappy-%{version}-py%{python3_version}.egg-info
%{python3_sitearch}/snappy.py
%{python3_sitearch}/_snappy*.so
%{python3_sitearch}/__pycache__/snappy*


%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-9
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Nov 12 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5-7
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Fri Nov 6 2015 Julien Enselme <jujens@jujens.eu> - 0.5-6
- Correct provides for python2 package

* Thu Nov 5 2015 Julien Enselme <jujens@jujens.eu> - 0.5-5
- Rebuilt for python 3.5

* Thu Nov 5 2015 Julien Enselme <jujens@jujens.eu> - 0.5-4
- Update package for new python guidelines

* Thu Jul 30 2015 Julien Enselme <jujens@jujens.eu> - 0.5-3
- Add provides for python2-snappy
- Remove usage of python2 and python3 dirs

* Fri Jul 24 2015 Julien Enselme <jujens@jujens.eu> - 0.5-2
- Remove usage of %%py3dir
- Add CFLAGS in %%build

* Sat Jul 18 2015 Julien Enselme <jujens@jujens.eu> - 0.5-1
- Initial packaging
